Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.ui.launchConfigurations
Class JavaJRETab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
              org.eclipse.jdt.debug.ui.launchConfigurations.JavaJRETab

All Implemented Interfaces:
  org.eclipse.jdt.internal.debug.ui.launcher.IEntriesChangedListener, ILaunchConfigurationTab

public class JavaJRETab
extends org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab

A launch configuration tab that displays and edits the VM install launch configuration attributes.

This class may be instantiated. This class is not intended to be subclassed.

Since:
  2.0

Field Summary
`protected static String` | `EMPTY_STRING`
`protected ILaunchConfigurationTab` | `fDynamicTab`
`protected Composite` | `fDynamicTabHolder`
`protected boolean` | `fIsInitializing`
`protected org.eclipse.jdt.internal.debug.ui.jres.JREsComboBlock` | `fJREBlock`
`protected ILaunchConfiguration` | `fLaunchConfiguration`
`protected boolean` | `fOkToClearUnknownVM`
`protected String` | `fUnknownVMName`
`protected String` | `fUnknownVMType`
`protected boolean` | `fUseDynamicArea`
`protected ILaunchConfigurationWorkingCopy` | `fWorkingCopy`

Constructor Summary
`JavaJRETab()`

Method Summary
`void` | `activated(ILaunchConfigurationWorkingCopy workingCopy)`
`void` | `createControl(Composite parent)`
`void` | `deactivated(ILaunchConfigurationWorkingCopy workingCopy)`
`void` | `dispose()`
`protected org.eclipse.jdt.internal.debug.ui.jres.JREDescriptor` | `getDefaultJREDescriptor()`
`protected ILaunchConfigurationTab` | `getDynamicTab()`
`protected Composite` | `getDynamicTabHolder()`
`String` | `getErrorMessage()` Overridden here so that any error message in the dynamic UI gets returned.
`Image` | `getImage()`
`protected IJavaProject` | `getJavaProject()` Returns the Java project associated with the current config being edited, or `null` if none.
`protected ILaunchConfiguration` | `getLaunchConfiguration()`
`protected ILaunchConfigurationWorkingCopy` | `getLaunchConfigurationWorkingCopy()`
`String` | `getName()`
`protected org.eclipse.jdt.internal.debug.ui.jres.JREDescriptor` | `getSpecificJREDescriptor()`
`protected ILaunchConfigurationTab` | `getTabForCurrentJRE()` Return the class that implements `ILaunchConfigurationTab` that is registered against the install type of the currently selected VM.
`protected void` | `handleSelectedJREChanged()` Notification that the user changed the selection in the JRE combo box.
`void` | `initializeFrom(ILaunchConfiguration configuration)`
`protected boolean` | `isUseDynamicJREArea()`
`boolean` | `isValid(ILaunchConfiguration config)`
`protected void` | `loadDynamicJREArea()` Show the contributed piece of UI that was registered for the install type of the currently selected VM.
`void` | `performApply(ILaunchConfigurationWorkingCopy configuration)`
`protected void` | `selectJRE(String typeID, String vmName)`
`void` | `setDefaults(ILaunchConfigurationWorkingCopy config)`
`protected void` | `setDynamicTab(ILaunchConfigurationTab tab)`
`protected void` | `setDynamicTabHolder(Composite tabHolder)`
`protected void` | `setLaunchConfiguration(ILaunchConfiguration launchConfiguration)`
`protected void` | `setLaunchConfigurationWorkingCopy(ILaunchConfigurationWorkingCopy workingCopy)`
`void` | `setVMSpecificArgumentsVisible(boolean visible)` Sets whether this tab will display the VM specific arguments area if a JRE supports VM specific arguments.
`protected void` | `updateJREFromConfig(ILaunchConfiguration config)`

Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
`entriesChanged, getContext, initializeJavaProject`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createVerticalSpacer, getControl, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setLaunchConfigurationDialog, setMessage, updateLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fJREBlock

    protected org.eclipse.jdt.internal.debug.ui.jres.JREsComboBlock fJREBlock

### fUnknownVMType

    protected String fUnknownVMType

### fUnknownVMName

    protected String fUnknownVMName

### fOkToClearUnknownVM

    protected boolean fOkToClearUnknownVM

### fDynamicTab

    protected ILaunchConfigurationTab fDynamicTab

### fDynamicTabHolder

    protected Composite fDynamicTabHolder

### fUseDynamicArea

    protected boolean fUseDynamicArea

### fWorkingCopy

    protected ILaunchConfigurationWorkingCopy fWorkingCopy

### fLaunchConfiguration

    protected ILaunchConfiguration fLaunchConfiguration

### fIsInitializing

    protected boolean fIsInitializing

### EMPTY_STRING

    protected static final String EMPTY_STRING

See Also:
  Constant Field Values

Constructor Detail

### JavaJRETab

    public JavaJRETab()

Method Detail

### dispose

    public void dispose()

### createControl

    public void createControl(Composite parent)

  See Also:
    `ILaunchConfigurationTab.createControl(Composite)`

### setDynamicTabHolder

    protected void setDynamicTabHolder(Composite tabHolder)

### getDynamicTabHolder

    protected Composite getDynamicTabHolder()

### setDynamicTab

    protected void setDynamicTab(ILaunchConfigurationTab tab)

### getDynamicTab

    protected ILaunchConfigurationTab getDynamicTab()

### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

  See Also:
    `ILaunchConfigurationTab.setDefaults(ILaunchConfigurationWorkingCopy)`

### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

  See Also:
    `ILaunchConfigurationTab.initializeFrom(ILaunchConfiguration)`

### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

  See Also:
    `ILaunchConfigurationTab.performApply(ILaunchConfigurationWorkingCopy)`

### isValid

    public boolean isValid(ILaunchConfiguration config)

  See Also:
    `ILaunchConfigurationTab.isValid(ILaunchConfiguration)`

### getName

    public String getName()

  See Also:
    `ILaunchConfigurationTab.getName()`

### getImage

    public Image getImage()

  See Also:
    `ILaunchConfigurationTab.getImage()`

### updateJREFromConfig

    protected void updateJREFromConfig(ILaunchConfiguration config)

### handleSelectedJREChanged

    protected void handleSelectedJREChanged()

  Notification that the user changed the selection in the JRE combo box.

### selectJRE

    protected void selectJRE(String typeID,
                             String vmName)

### getTabForCurrentJRE

    protected ILaunchConfigurationTab getTabForCurrentJRE()

  Return the class that implements `ILaunchConfigurationTab` that is registered against the install type of the currently selected VM.

### loadDynamicJREArea

    protected void loadDynamicJREArea()

  Show the contributed piece of UI that was registered for the install type of the currently selected VM.

### getLaunchConfigurationWorkingCopy

    protected ILaunchConfigurationWorkingCopy getLaunchConfigurationWorkingCopy()

### getErrorMessage

    public String getErrorMessage()

  Overridden here so that any error message in the dynamic UI gets returned.

  See Also:
    `ILaunchConfigurationTab.getErrorMessage()`

### setLaunchConfigurationWorkingCopy

    protected void setLaunchConfigurationWorkingCopy(ILaunchConfigurationWorkingCopy workingCopy)

### getLaunchConfiguration

    protected ILaunchConfiguration getLaunchConfiguration()

### setLaunchConfiguration

    protected void setLaunchConfiguration(ILaunchConfiguration launchConfiguration)

### setVMSpecificArgumentsVisible

    public void setVMSpecificArgumentsVisible(boolean visible)

  Sets whether this tab will display the VM specific arguments area if a JRE supports VM specific arguments.

  Parameters:
    `visible` - whether this tab will display the VM specific arguments area if a JRE supports VM specific arguments

### isUseDynamicJREArea

    protected boolean isUseDynamicJREArea()

### getDefaultJREDescriptor

    protected org.eclipse.jdt.internal.debug.ui.jres.JREDescriptor getDefaultJREDescriptor()

### getSpecificJREDescriptor

    protected org.eclipse.jdt.internal.debug.ui.jres.JREDescriptor getSpecificJREDescriptor()

### getJavaProject

    protected IJavaProject getJavaProject()

  Returns the Java project associated with the current config being edited, or `null` if none.

  Returns:
    java project or `null`

### activated

    public void activated(ILaunchConfigurationWorkingCopy workingCopy)

### deactivated

    public void deactivated(ILaunchConfigurationWorkingCopy workingCopy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.